<!-- version="0.2.0" -->

<?php 

$api    = "//$_SERVER[HTTP_HOST]:3000";
$admin  = "//$_SERVER[HTTP_HOST]:3001"; 
$mail   = "//$_SERVER[HTTP_HOST]:8002/roundcube/";
$config = file_get_contents($api);
$up     = false;

if($config != "000000"){
    $up = true;
}

?>


<style>

#datapost_list {
  font-size:16px;
  padding-top:8px;
  margin-top:10px;

}

#datapost_list tr{
  width:100%;
}

#datapost_list td {
  text-align:left;  
}

i {
  color:#666;
}
</style>

<div class="indexmodule">
  <!-- logo -->
  <a href="<?php echo $dir ?>/content/index.php">
    <img src="<?php echo $dir ?>/logo.png" alt="DataPost Webmail">
  </a>

  <!-- Main link -->
  <h2>
    <a href="<?php echo $dir ?>/content/index.php">DataPost Webmail</a>
  </h2>
    
  <!-- Description -->
  <p> DataPost is a quick and easy way to get information to and from your RACHEL device without needing to put RACHEL on the internet. Anyone travelling to your RACHEL device with an Android Phone can serve as a digital mail courier, bringing new emails to RACHEL and picking up outgoing e-mails from the device.  </p>

  <!-- Configuration specific section -->
  <?php if (!$up) : ?>
  <p>DataPost is not configured on this device. Please contact us on our support forums at <a href='https://community.worldpossible.org' title='World Possible Forums'>community.worldpossible.org</a> for more information on getting started with DataPost.</p>
  <?php else : ?>
  <br>
 
  <table id="datapost_list">
    <tr><td><a href="<?php echo $mail; ?>">Send Webmail</a></td><td> Log in to start sending webmail</td></tr>
    <tr><td><a href="<?php echo $admin; ?>">Set Up Your DataPost</a></td><td> Set up your DataPost Site</td></tr>
    <tr><td><a href="<?php echo $admin; ?>">DataPost Dashboard</a></td><td> Log in to the admin Dashboard</td></tr>
    <tr><td><a href="<?php echo $dir ?>/content/index.php#tutorial">Tutorial</a></td><td> Follow the tutorial to get started with DataPost</td></tr>
    <tr><td><a href="<?php echo $dir ?>/content/apk/datapost-debug_10_19_2021.apk">Download</a></td><td> Download the latest Android App</td></tr>
  </table>
  <?php endif; ?>  
  
</div>


